/**
 * 
 */
package com.test;

import java.util.HashMap;
import java.util.Map;

public enum AgeRange {
	INFANT("INFANT"),
	YOUTH("YOUTH"),
	ADULT("ADULT"),
	SENIOR("SENIOR");
	
	private final String code;
	
	private static final Map<String, AgeRange> ranges = new HashMap<String, AgeRange>();
	
	static {

		for (AgeRange ar : AgeRange.values()) {
			ranges.put(ar.code, ar);
		}

	}
	

	/**
	 * Create an instance of this class
	 * 
	 * @param programCD
	 *            the AgeRangeModel program code
	 */
	private AgeRange(String code) {
		this.code = code;
	}

	public String getCode() {
		return code;
	}	

	public String toString() {
		return code;
	}

	public static AgeRange getInstance(String code) {		
		return ranges.get(code);
	}	
	
}
